Skip to main content
GET
/
snapshots
/
{org}
/
{env_name}
/
{snapshot_expression}
Get snapshot
curl --request GET \
  --url https://app.kosli.com/api/v2/snapshots/{org}/{env_name}/{snapshot_expression} \
  --header 'Authorization: Bearer <token>'
{
  "index": 123,
  "is_latest": true,
  "artifact_compliance_count": {},
  "timestamp": 123,
  "type": "<string>",
  "compliant": true,
  "html_url": "<string>",
  "artifacts": [
    {}
  ],
  "applied_policies": [
    {}
  ],
  "next_snapshot_timestamp": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
snapshot_expression
string
required
org
string
required

Response

200 - application/json

Successful Response

index
integer
required

The index of the snapshot

is_latest
boolean
required

True if this snapshot is the most recent

artifact_compliance_count
Artifact Compliance Count · object
required

The number of compliant and non-compliant artifacts in the snapshot

timestamp
number
required

The timestamp of the snapshot creation

type
string
required

The type of the environment

compliant
boolean
required

Whether the snapshot is compliant

html_url
string
required

The HTML URL to the snapshot

artifacts
Artifacts · object[]
required

The list of artifacts in the snapshot

applied_policies
Applied Policies · object[]
required

The list of policies applied to this snapshot

next_snapshot_timestamp
number | null

The creation timestamp of the next snapshot if one exists

Last modified on April 9, 2026